Subject: [Lwip] LwIP discussion - wire visible and wire invisible

From: Zhen Cao <[email-masked]>
Date: Tue, 23 Nov 2010 23:19:22 +0800

Hi All

There was some discussion at the BOF about lightweight implementation
techniques. Following Dave Thaler's comments, some techniques which
have no wire visible impact do not affect interoperability, e.g.,
timer management and memory management.  This category is considered
as good guidelines but may not belong to the IETF. I do not if this is
100% truth since IETF has done many documents that are highly related
to wired invisible implementation (many state machine for example).
The other category is wire visible and hence may affect
interoperability, which is considered worth discussing if IETF should
do something.  And similar work before in Pilc WG, RFC3819 and RFC
3481 may follow into this category and it worth discussing whether we
can produce some documents for the constrained networks as well.

-- 
Best regards,
Zhen